package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

public class MusicCardDto {

    @ApiModelProperty(value = "用户姓名",required = true)
    private String userName;

    @ApiModelProperty(value = "乐团编号",required = true)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = true)
    private String musicGroupName;

    @ApiModelProperty(value = "科目名称",required = true)
    private String subjectName;

    @ApiModelProperty(value = "所在年级",required = true)
    private String currentGrade;

    @ApiModelProperty(value = "所在班级",required = true)
    private String currentClass;

    @ApiModelProperty(value = "是否缴费",required = true)
    private YesOrNoEnum paymentStatus;

    @ApiModelProperty(value = "乐团数量",required = true)
    private Integer musicGroupNum;

    @ApiModelProperty(value = "vip课数量",required = true)
    private Integer vipClassNum;

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getMusicGroupNum() {
        return musicGroupNum;
    }

    public void setMusicGroupNum(Integer musicGroupNum) {
        this.musicGroupNum = musicGroupNum;
    }

    public Integer getVipClassNum() {
        return vipClassNum;
    }

    public void setVipClassNum(Integer vipClassNum) {
        this.vipClassNum = vipClassNum;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public YesOrNoEnum getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(YesOrNoEnum paymentStatus) {
        this.paymentStatus = paymentStatus;
    }
}
